Ник:
Пароль:

Контакты

E-mail: info@starterkit.ru
тел.: +7 922 680-21-73
тел.: +7 922 680-21-74
Телеграм: t.me/starterkit_ru
Партнеры:
otladka.com.ua - г.Киев

Способы оплаты

User Info


Добро пожаловать,
Guest

Регистрация или входРегистрация или вход
Потеряли пароль?Потеряли пароль?

Ник:
Пароль:

ПользователейПользователей:2
Поисковых ботовПоисковых ботов:3
ГостейГостей:1

ОбновитьПодробнееВсегоВсего:6
Форум » starterkit.ru » Embedded Linux
QTCreator 3.5.1 удаленная отладка
Skier78rus
Добавлено 19.01.2016 13:59 Редактировалось 19.01.2016 14:04
0
Сообщение: 1
Skier78rus
0

Пункты: 118
Регистрация: 19.01.2016
Добрый день.
При попытке удаленной отладки с QtCreator, выводится ошибка:
The selected build of gdb does not supporu Python scripting. It cannot be used in Qt Creator"
На сколько я понял надо собрать gdb c флагом --with-python, но только не понял как это сделать. Использую buildroot-2014.08-sk-sdl2.
Использую модуль SK-iMX6S/D-SODIMM

Буду благодарен любой информации!
Спуститься к концу Подняться к началу
Персональная информация
sasamy
Добавлено 19.01.2016 18:43 Сообщение: 2
sasamy
4.70

Пункты: 76642
Регистрация: 14.08.2009
Спуститься к концу Подняться к началу
Персональная информация
Skier78rus
Добавлено 19.01.2016 20:39 Сообщение: 3
Skier78rus
0

Пункты: 118
Регистрация: 19.01.2016
sasamy, спасибо за ссылку.

Нашел поддобное решение https://git.busybox.net/buildroot/commit/?id=84d584ea0dcdec8e9d2ca1ecd6c4df2e4bd7642f

Я применил патч из комита, все собралось, но сегодня проверить не было возможности.
Спуститься к концу Подняться к началу
Персональная информация
Skier78rus
Добавлено 20.01.2016 13:12 Редактировалось 20.01.2016 13:59 Сообщение: 4
Skier78rus
0

Пункты: 118
Регистрация: 19.01.2016
sasammy, подскажите пожалуйста, ни как не удается собрать gdb версии 7.7.х c python`ом.

Я поменял меню(патч buildroot который нашел в интернете), что бы в меню появился дополнительный пункт у gdb в

Target packages --->
Debugging, profiling and benchmark --->
[*] gdb
-*- gdbserver
-*- python

В Toolchain установил
[*] Build cross gdb for the host
GDB debugger Version (gdb 7.7.x)

(как было указано по ссылке которую Вы дали).

Пересобрал gdb, но он остался версии 7,6 без поддержки скриптов.
Очистил всю сборку и собрал заново, но результата нет (gdb 7.6 без скриптов).

При этом посмотрел .Config, в нем все верно.
Может я что-то важное упустил?

Заранее спасибо.

PS. При этом в папке output/build лежат исходники gdb-7.7.1
Увидел в консоли ошибку сборки, буду дальше разбираться
Спуститься к концу Подняться к началу
Персональная информация
sasamy
Добавлено 20.01.2016 14:28 Редактировалось 20.01.2016 14:32 Сообщение: 5
sasamy
4.70

Пункты: 76642
Регистрация: 14.08.2009
Цитата

Пересобрал gdb, но он остался версии 7,6 без поддержки скриптов.


не представляю как такое может получиться кроме случая если вы по ошибке прописали в конфиге QtCreator gdb от линаровского тулчейна.

Цитата

Использую buildroot-2014.08-sk-sdl2.


это тот же самый буилдрут что на фтп только добавлен пакет sdl2 и либа для работы g2d - дефолтный конфиг для сборки Qt уже содержит все необходимые опции и питон прописан в зависимостях gdb.
Спуститься к концу Подняться к началу
Персональная информация
Skier78rus
Добавлено 20.01.2016 14:56 Сообщение: 6
Skier78rus
0

Пункты: 118
Регистрация: 19.01.2016
sasamy, большое спасибо за ваши ответы.

Все из-за невнимательности, допустил ошибку когда правил меню (из патча). Сейчас все пересобрал, gdb 7.7.1 with scripts.

Еще раз спаибо за Ваши ответы.
Спуститься к концу Подняться к началу
Персональная информация
Форум » starterkit.ru » Embedded Linux